import { Localization } from '../../localization';
export declare class FBoxDataTypeService {
    private localization;
    defaultIntegerDigits: number;
    defaultFractionDigits: number;
    constructor(localization: Localization);
    getValueType(id: number): string;
    getValuePattern(id: number): "^[01]+$" | "^[+-]?[0-9]*(\\.[0-9]*)?$" | "^[0-9a-fA-F]+$";
    isHexType(id: number): boolean;
    isBinaryType(id: number): boolean;
    isHexOrBinaryType(id: number): boolean;
    isFloat(id: number): boolean;
    /**
     * 获取数据型号最大长度
     * @param id
     */
    getValueMaxLength(id: number): number;
    /**
     * 是否支持小数位
     * @param id
     */
    isSupportFractionDigit(id: number): boolean;
    /**
     * 是否为有符号数
     * @param id
     */
    isSignedType(id: number): boolean;
    /**
     * 是否支持数值运算
     * @param id
     */
    isSupportNumericalOperation(id: number): boolean;
    /**
    * 数据转换成10进制
    * @param value
    * @param id
    */
    formatToDecimal(value: any, id: number): any;
    /**
       * 获取数据型号最小值
       * @param id
       * @param? integerDigits
       * @param? fractionDigits
       */
    getMinValue(id: number, integerDigits?: number, fractionDigits?: number): number;
    /**
       * 获取数据型号最大值
       * @param id
       * @param? integerDigits
       * @param? fractionDigits
       */
    getMaxValue(id: number, integerDigits?: number, fractionDigits?: number): number;
    getFillNine(num: number): string;
}
